fig53 <- function(post=F)
{
 if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig53.ps", width=4.4, height=3, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(1, 1),mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)

 tbill03 <- matrix(scan("../datasets/tbill03m.dat", skip=314),ncol=2,byrow=T)
 x <- as.numeric(tbill03[,2])

  ############# Rule of thumb bandwidth selector  #########
   n <- length(x)
   s <- sqrt(var(x))
   bandwidth <- 4*1.06 * s / n^0.2 
   print(c("selected bandwidth", round(bandwidth/4,3)))
   print(summary(x))

   kden <- density(x,200,width = bandwidth, from=mean(x)-4*s, to=mean(x)+4*s)
   plot(kden$x, kden$y, type="l",  xlab="", ylab="", ylim=c(0,max(kden$y)*1.5))
   points(x,rep(0,n))
   title("Distribution for the yields of 3-month Treasure Bills")

   ########### undersmoothed estimate  ###############
   kden <- density(x,200,width = bandwidth/3, from=mean(x)-4*s, to=mean(x)+4*s)
   lines(kden$x, kden$y, lty=2)

   ########## Oversmoothed estimate ##################
   kden <- density(x,200,width = bandwidth*3, from=mean(x)-4*s, to=mean(x)+4*s)
   lines(kden$x, kden$y, lty=3)
}
